//
//  CollectionsBookmarks.m
//  YKBookmarks
//
//  Created by KOYAMA Yoshiaki on Thu Feb 10 2005.
//  Copyright (c) 2005 KOYAMA Yoshiaki. All rights reserved.
//

#import "CollectionsBookmarks.h"


@implementation CollectionsBookmarks


- (id) init {
    if (self = [super init])
    {
		collections = [[NSMutableArray alloc] init];		
    }
	return self;
}

- (NSMutableArray *) collections
{
    return collections;
}

- (void) setCollections: (NSArray *)newCollections
{
    if (collections != newCollections)
    {
        [collections autorelease];
        collections = [[NSMutableArray alloc] initWithArray: newCollections];
    }
}


- (void)encodeWithCoder:(NSCoder *)encoder {

	[encoder encodeObject:collections forKey:@"collections"];

}

- (id)initWithCoder:(NSCoder *)decoder {

	collections = [[decoder decodeObjectForKey:@"collections"] retain];

	return self;
}

- (void) dealloc {

    [collections release];    
    [super dealloc];
}

@end
